#!/usr/bin/env bash
#
#

# Specify where the ippserver binary resides
IPPSERVER="./ippserver"

# be very verbose
ARGS="-vv"

# duplex
ARGS="${ARGS} -2"

# Configuration is in the current directory
ARGS="${ARGS} -C ."

# Keep job spool files
ARGS="${ARGS} -k"

# Listen on this port (should override the value in the system.conf?)
ARGS="${ARGS} -p 8990"

# PIN Printing mode
# our config in "_Pin Head_" adds IPP Job Password Repertoire attributes
ARGS="${ARGS} -P"

# Bonjour subtype for _ipp._tcp or _ipps._tcp (type depends on server config)
ARGS="${ARGS} -r _universal"
ARGS="${ARGS} -r _print"

# Speed for color & monochrome
ARGS="${ARGS} -s 14,8"

# Icon file
ARGS="${ARGS} -i icon.png"


##########
#
# Run the configuration

echo ""
echo "Starting ippserver with the following arguments:"
echo ""
echo ${IPPSERVER} ${ARGS}
echo ""

${IPPSERVER} ${ARGS}


